Subject: rustc-1.16.0 broken after jemalloc updated to 5.0.1

From: Adam Van Ymeren <[email-masked]>
Date: Thu, 30 Nov 2017 17:41:38 -0500

I haven't had time to dig in to this further, but in case anyone wants
to fix rustc-1.16.0, it's broken after the upgrade of jemalloc to 5.0.1.

Reverting commit 475b99fa5cf402430aa93a40e406e854ad2ff6e4 which reverts
jemalloc back to 4.5.0 causes rustc to build successfully again.  It has
been broken for some time.

https://hydra.gnu.org/job/gnu/master/rustc-1.16.0.x86_64-linux